=== debian/changelog ===
lyx (2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6
    - Refresh patches
    - Add new patch to store the windows position correctly
  * Drop the Debian xpm pixmap, as it was used only by the old Debian menu file.
    Thanks to Pino Toscano <pino@debian.org> (Closes: #970223)
  * Remove the -Wl,--as-needed linker flag as it is the default in bullseye
  * Remove lintian override which is no longer needed
  * Remove handling of now completed debug-symbol-migration
  * Use Rules-Requires-Root: no
  * Update Standards-Version to 4.5.1, no changes needed
  * Remove copyright note for files which have been removed upstream

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 01 Dec 2020 11:33:35 +0100
