## lyx 2.3.6.1

=== debian/changelog ===
lyx (2.3.6.1-1) unstable; urgency=medium

  [ Pavel Sanda ]
  * d/copyright: Mythes was actually moved, not removed.

  [ Dr. Tobias Quathamer ]
  * New upstream version 2.3.6.1
    - Remove patch for Wayland, has been applied upstream
    - Add patch to fix bash completion script. (Closes: #1008257)
    - Add patch to fix FTBFS with GCC 12. (Closes: #1012994)
    - Add patch to fix String/Bytes Problem in layout2layout.py.
      (Closes: #1002821)
  * Update upstream's GPG key and remove unneeded signatures
  * gbp.conf: Use DEP-14 branch names in git repository
  * Update to Standards-Version 4.6.1, no changes needed
  * Convert tabs in d/copyright to spaces

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Jun 2022 17:45:40 +0200
