=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3,
                qtbase5-dev (>= 5.6.0),
                tex-common
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/lyx
 Vcs-Git: https://salsa.debian.org/debian/lyx.git
